Helping Helena App
============

This is a cross-platform app for Helping Helena.  It can be
built for most platforms by using either
[Apache Cordova](https://cordova.apache.org) or [NW.js](https://nwjs.io).

[Get prebuilt binaries here](https://build.netsyms.net/job/HelpingHelenaApp/)

Platform Support
----------------

Tested and should work on:
* Android 5+ (up-to-date WebView implementation required)
* Linux (amd64 and i386)

Not tested but should work on:
* Windows

Building for NW.js
------------------

Since this is a webapp, there isn't really a build process.

1. Install [Yarn](https://yarnpkg.com), and run `./yarninstall.sh` to grab dependencies.
2. Get [NW.js](https://nwjs.io) and unpack it into a folder (we'll use `~/nw.js`).
3. Move to the `www` folder in this repository and run `~/nw.js/nw .`
4. The process is basically the same for non-Linux systems, just use the appropriate
version of NW.js.


Building for Cordova/Android
----------------------------

This assumes you have Cordova and a working Android SDK installed.

1. Install [Yarn](https://yarnpkg.com), and run `./yarninstall.sh` to grab dependencies.
2. Run `./removebloat.sh` to cut the APK size in half.
3. Run `cordova platform add android`.
4. Run `cordova build android --release`.


License
-------

The code in `www` (except `node_modules`) is licensed under the Mozilla Public
License 2.0.  We didn't write the rest, most of it is autogenerated or third-party.
Consult `licenses.txt` or the built-in open source info page for details.

If you're making custom builds and distributing them, you need to [contact us](https://netsyms.com/contact) and
get permission to use the app icon (`logo.png` and the files in `/res`).
If you're building the app for personal use, or you're not using the same name
or logo, you don't need permission.